List deposits
curl --request GET \
--url https://api.wizzgift.com/b2b/deposits \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.wizzgift.com/b2b/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wizzgift.com/b2b/deposits"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wizzgift.com/b2b/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"depositId": "depb_a8Xk2mQ9pL1r",
"amount": 123,
"currency": "USD",
"paymentCurrency": "<string>",
"status": "pending",
"expiresAt": 1753142400000,
"createdAt": 1753142400000,
"userId": "<string>",
"email": "<string>",
"confirmedAt": 1753142400000,
"updatedAt": 1753142400000
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"hasMore": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or expired API key"
},
"requestId": "req_8f3k2"
}{
"error": "Too many requests",
"message": "<string>"
}B2B · Deposits
List deposits
GET
/
b2b
/
deposits
List deposits
Authorizations
API key (wg_live_…) created in the dashboard (Account → API Keys).
Shown once at creation; only a hash is stored server-side.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Available options:
pending, confirming, confirmed, failed, expired ⌘I